Subject: Re: [PATCH] Fix multicast on VLAN interfaces

From: Patrick McHardy <[email-masked]>
Date: Fri, 22 Feb 2008 13:25:53 +0100

Phil Oester wrote:
> In commit 56addd6eeeb4e11f5a0af7093ca078e0f29140e0 the VLAN multicast list
> handling was reworked.  Unfortunately, a variable initialization was missed,
> and multicast over vlan devices has been broken since 2.6.23-rc1 (apparently
> not too many people use this).  Trivial fix below, which might be a candidate
> for -stable.

Thanks Phil, a similar patch is already sitting in net-2.6.git.